/// <reference types="cheerio" />
import { IServer } from './server';
import Cheerio = cheerio.Cheerio;
export declare const Extractors: {
    country: (td: Cheerio) => IServer['country'];
    hostDetail: (td: Cheerio) => IServer['hostDetail'];
    sessions: (td: Cheerio) => IServer['sessions'];
    quality: (td: Cheerio) => IServer['quality'];
    ssl: (td: Cheerio) => IServer['ssl'] | undefined;
    l2tp: (td: Cheerio) => IServer['l2tp'] | undefined;
    openVpn: (td: Cheerio) => IServer['openVpn'] | undefined;
    msSstp: (td: Cheerio) => IServer['msSstp'] | undefined;
    volunteers: (td: Cheerio) => IServer['volunteers'];
    score: (td: Cheerio) => IServer['score'];
};
//# sourceMappingURL=extractors.d.ts.map